#Version of required packages
%define req_orbit_version	2.4.0
%define req_linc_version	0.5.1
%define req_libxml_version	2.4.20
%define lib_major 4

Summary: Bonobo object activation framework for GNOME 2
Name: bonobo-activation
Version: 2.2.1
Release: 2mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/2.0.0/sources/%{name}-%{version}.tar.bz2
# (fc) 2.2.1-2mdk fix multiple session (CVS)
Patch0: bonobo-activation-2.2.1-multiplesession.patch.bz2
License: GPL/LGPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: bison
BuildRequires: flex
BuildRequires: gettext
BuildRequires: libORBit2-devel >= %{req_orbit_version}
BuildRequires: linc-devel >= %{req_linc_version}
BuildRequires: libxml2-devel >= %{req_libxml_version}
Conflicts: gnome-control-center < 2.1.0

%description
Bonobo Activation is an object activation framework for GNOME. It uses ORBit.

%package -n lib%{name}%{lib_major}
Summary:	%{summary}
Group:		%{group}
Provides:	lib%{name} >= %{version}-%{release}
Requires:	%{name} >= %{version}
Requires:	liblinc >= %{req_linc_version}
Requires:	libORBit2 >= %{req_orbit_version}

%description -n lib%{name}%{lib_major}
Bonobo Activation is an object activation framework for GNOME. It uses ORBit.

This package contains necessary libraries to run any programs linked
with bonobo-activation.

%package  -n lib%{name}%{lib_major}-devel
Summary:	Development libraries and headers for bonobo-activation
Group:		Development/GNOME and GTK+
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	lib%{name}%{lib_major} = %{version}-%{release}
Requires:	libORBit2-devel >= %{req_orbit_version}
Requires:       libxml2-devel >= %{req_libxml_version}
Requires:	liblinc-devel >= %{req_linc_version}

%description  -n lib%{name}%{lib_major}-devel
Bonobo Activation is an object activation framework for GNOME. It uses ORBit.

This package contains headers and libraries needed to develop 
any programs linked with bonobo-activation.


%prep
%setup -q
%patch0 -p1 -b .remote

%build

CFLAGS="-O1" %configure2_5x

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# don't ship test .server files
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/{broken,empty,plugin}.server

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n lib%{name}%{lib_major} -p /sbin/ldconfig
%postun -n lib%{name}%{lib_major} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS INSTALL ChangeLog
%dir %{_sysconfdir}/bonobo-activation
%config(noreplace) %{_sysconfdir}/bonobo-activation/bonobo-activation-config.xml
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/bonobo
%{_libexecdir}/bonobo-activation-server
%{_datadir}/idl/*
%{_mandir}/man1/*

%files -n lib%{name}%{lib_major}
%defattr(-,root,root)
%{_libdir}/libbonobo-activation.so.*


%files -n lib%{name}%{lib_major}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.la



%changelog
* Wed Feb 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-2mdk
- Patch0 (CVS): fix multiple session

* Fri Feb  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1

* Mon Jan 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-1mdk
- Release 2.1.1

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.0-1mdk
- Release 2.1.0

* Sat Aug 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-3mdk
- Fix BuildRequires and -devel dependencies (Per Oyving Karlsen)

* Tue Jul 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk
- Enforce dependencies on linc 

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Mon Jun 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2

* Sun Jun 23 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-2mdk
- BuildRequires

* Wed Jun 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.8-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-1mdk
- Release 0.9.8

* Tue Apr 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-1mdk
- Release 0.9.7

* Wed Mar 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.6-2mdk
- Disable parallel compilation (it is broken)
- Don't ship test .server files

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.6-1mdk
- Initial Mdk package

